<script>
export default {
  name: 'PlatformTable',
  props: {
    data: {
      type: Array,
      required: true,
      default: null,
    },
  },
};
</script>
<template>
  <SlpContainer>
    <div class="table">
      <div v-for="stage in data" :key="stage.name" class="column">
        <div class="sub-column-wrapper">
          <div class="sub-column">
            <div class="stage-name">
              <SlpIcon
                v-if="stage.icon"
                class="slp-mb-8"
                :name="stage.icon"
                variant="marketing"
                aria-hidden="true"
                size="md"
                slp-color="primary-200"
              />
              <a :href="stage.link || '#'" :class="{ no_link: !stage.link }">
                {{ stage.name }}
              </a>
            </div>
            <div class="features">
              <span v-for="feature in stage.features" :key="feature.name">
                <a
                  :href="feature.link"
                  :data-ga-name="feature.name"
                  data-ga-location="feature table"
                  class="feature-link"
                >
                  {{ feature.name }}
                </a>
              </span>
            </div>
          </div>
          <div class="competitor">
            <span
              v-if="stage.replacement?.text && stage.replacement?.product"
              class="competitor__label"
              >{{ stage.replacement.text }}</span
            >
            <span
              v-if="stage.replacement?.text && stage.replacement?.product"
              class="competitor__product"
              >{{ stage.replacement.product }}</span
            >
          </div>
        </div>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
::-webkit-scrollbar {
  display: none;
}

.table {
  @media (max-width: $breakpoint-lg) {
    overflow-x: auto;
  }

  @media (min-width: $breakpoint-lg) {
    .column {
      width: 13%;
    }
  }

  .stage-name {
    display: block;
    position: relative;

    a {
      color: inherit;
      min-height: 55px;
      line-height: 18px;
      &:hover {
        text-decoration: underline;
      }
      &.no_link {
        pointer-events: none;
        cursor: default;
      }
    }
  }

  .features a,
  .features p {
    display: block;
  }

  .features a:hover {
    text-decoration: underline;
  }

  .column {
    .competitor {
      border-left: 1px solid #45424d;
      min-width: 112px;
      min-height: 88px;
    }
  }

  .column:first-of-type {
    .competitor {
      border-left: 1px solid transparent;
    }
  }

  .column:last-of-type {
    .competitor {
      height: 88px;
    }
  }

  .competitor {
    padding: 24px 12px;
    text-align: center;
    border-top: 1px solid #45424d;

    &__label {
      display: block;
      font-size: 11px;
      line-height: 15px;
      text-align: center;
      color: $color-surface-400;
    }

    &__product {
      display: block;
      font-size: 14px;
      line-height: 22px;
      font-weight: 600;
      color: #a2a1a6;
    }
  }

  .sub-column-wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
    .sub-column {
      height: 100%;
      display: flex;
      flex-direction: column;
    }
  }
  .feature-link {
    line-height: 16px !important;
    margin-bottom: 16px !important;
    font-weight: 600;
    color: #a989f5;
  }
}
</style>
